searchData={"items":[{"type":"module","title":"NLdoc.Validation","doc":"NLdoc Validation is a library that provides accessibility validation for NLdoc documents.\nTODO: proper description","ref":"NLdoc.Validation.html"},{"type":"function","title":"NLdoc.Validation.validate/1","doc":"","ref":"NLdoc.Validation.html#validate/1"},{"type":"function","title":"NLdoc.Validation.validate/2","doc":"","ref":"NLdoc.Validation.html#validate/2"},{"type":"behaviour","title":"NLdoc.Validation.Rule","doc":"This module provides a macro for defining validation rules for NLdoc spec objects, i.e. documents and their elements.\nSuch rules check for semantic correctness and accessibility concerns in the spec objects.\n\nSimply `use NLdoc.Validation.Rule` in your module with all details about the validation rule and implement the `valid?/1`\nfunction to determine whether the spec objects that this rule validates, are valid.\n\nYou may also choose to override the `validates/0` and `make_finding/1` functions for more granular control over the\nvalidation process.\n\nIf your validation rule requires state to be maintained during the validation process, implement an `update_state/2` function\nto update the `NLdoc.Validation.State` struct with the necessary information.\n\nNote that the application of and merging of autofixes to a document as a result of validation is currently not implemented.\n\nExample:\n\n    defmodule NLdoc.Validation.Rules.HeadingLevelValid do\n      use NLdoc.Validation.Rule,\n        severity: NLdoc.Validation.Severity.error(),\n        rule: \"invalid-heading-level\",\n        ruleset: \"https://html.spec.whatwg.org/\",\n        ruleset_version: \"5\",\n        validates: [NLdoc.Spec.Heading]\n\n      @impl true\n      def valid?(%NLdoc.Spec.Heading{level: level}, _),\n        do: level >= 1 and level <= 6\n    end","ref":"NLdoc.Validation.Rule.html"},{"type":"callback","title":"NLdoc.Validation.Rule.make_finding/1","doc":"","ref":"NLdoc.Validation.Rule.html#c:make_finding/1"},{"type":"type","title":"NLdoc.Validation.Rule.opt/0","doc":"","ref":"NLdoc.Validation.Rule.html#t:opt/0"},{"type":"type","title":"NLdoc.Validation.Rule.t/0","doc":"","ref":"NLdoc.Validation.Rule.html#t:t/0"},{"type":"callback","title":"NLdoc.Validation.Rule.update_state/2","doc":"","ref":"NLdoc.Validation.Rule.html#c:update_state/2"},{"type":"callback","title":"NLdoc.Validation.Rule.valid?/2","doc":"","ref":"NLdoc.Validation.Rule.html#c:valid?/2"},{"type":"callback","title":"NLdoc.Validation.Rule.validate/2","doc":"","ref":"NLdoc.Validation.Rule.html#c:validate/2"},{"type":"callback","title":"NLdoc.Validation.Rule.validates/0","doc":"","ref":"NLdoc.Validation.Rule.html#c:validates/0"},{"type":"module","title":"NLdoc.Validation.Rules.DefinitionListHasDefinitionTerm","doc":"This rule validates that the a definition list has at least one definition term.","ref":"NLdoc.Validation.Rules.DefinitionListHasDefinitionTerm.html"},{"type":"function","title":"NLdoc.Validation.Rules.DefinitionListHasDefinitionTerm.has_definition_term?/1","doc":"","ref":"NLdoc.Validation.Rules.DefinitionListHasDefinitionTerm.html#has_definition_term?/1"},{"type":"module","title":"NLdoc.Validation.Rules.DefinitionTermHasDefinitionDetails","doc":"This rule validates that each DefinitionTerm in a DefinitionList is followed by a DefinitionDetails.","ref":"NLdoc.Validation.Rules.DefinitionTermHasDefinitionDetails.html"},{"type":"module","title":"NLdoc.Validation.Rules.EmptyDefinitionDetails","doc":"This rule validates that definition details must always contain discernible text.","ref":"NLdoc.Validation.Rules.EmptyDefinitionDetails.html"},{"type":"module","title":"NLdoc.Validation.Rules.EmptyDefinitionTerm","doc":"This rule validates that a definition term must always contain discernible text.","ref":"NLdoc.Validation.Rules.EmptyDefinitionTerm.html"},{"type":"module","title":"NLdoc.Validation.Rules.EmptyHeading","doc":"This rule validates that a heading must always contain discernible text.","ref":"NLdoc.Validation.Rules.EmptyHeading.html"},{"type":"module","title":"NLdoc.Validation.Rules.EmptyTableHeader","doc":"This rule validates that a table header must always contain discernible text.","ref":"NLdoc.Validation.Rules.EmptyTableHeader.html"},{"type":"module","title":"NLdoc.Validation.Rules.HeadingLevelValid","doc":"This rule validates that a heading's level is valid according to the HTML spec (i.e. between 1 and 6).","ref":"NLdoc.Validation.Rules.HeadingLevelValid.html"},{"type":"module","title":"NLdoc.Validation.Rules.HeadingOrder","doc":"This rule validates that headings are ordered sequentially-descending,\ni.e. heading levels should only increase by one, but may decrease by any.","ref":"NLdoc.Validation.Rules.HeadingOrder.html"},{"type":"module","title":"NLdoc.Validation.Rules.ImageMustHaveAlt","doc":"This rule validates that an image has an alternative text, or is marked as decorative.","ref":"NLdoc.Validation.Rules.ImageMustHaveAlt.html"},{"type":"module","title":"NLdoc.Validation.Rules.LinkName","doc":"This rule validates that a link must always contain discernible text.","ref":"NLdoc.Validation.Rules.LinkName.html"},{"type":"module","title":"NLdoc.Validation.Rules.NoUnderline","doc":"This rule validates that the style underline was not used on a Text.","ref":"NLdoc.Validation.Rules.NoUnderline.html"},{"type":"module","title":"NLdoc.Validation.Rules.PAsHeading","doc":"Ensures paragraph elements are not used to style headings.","ref":"NLdoc.Validation.Rules.PAsHeading.html"},{"type":"module","title":"NLdoc.Validation.Rules.PageHasHeadingOne","doc":"This rule validates that a document has at least one heading level 1.","ref":"NLdoc.Validation.Rules.PageHasHeadingOne.html"},{"type":"module","title":"NLdoc.Validation.Rules.PageHasMultipleHeadingOne","doc":"This rule validates that the document has only one Heading with level 1.","ref":"NLdoc.Validation.Rules.PageHasMultipleHeadingOne.html"},{"type":"module","title":"NLdoc.Validation.Rules.PageStartsWithHeadingOne","doc":"This rule validates that a document starts with a Heading with level 1.\nIt produces a validation finding on the first heading with level 1 found in the document,\nif it is not the first element in the document.\n\nNote: this rule will *not* produce a validation finding if the document does not contain a heading with level 1.","ref":"NLdoc.Validation.Rules.PageStartsWithHeadingOne.html"},{"type":"module","title":"NLdoc.Validation.Rules.StyleBoldInHeading","doc":"This rule validates that heading is not manually styled bold.\n\nUnderlined is covered by the NoUnderline Rule","ref":"NLdoc.Validation.Rules.StyleBoldInHeading.html"},{"type":"module","title":"NLdoc.Validation.Rules.StyleItalicInHeading","doc":"This rule validates that heading is not manually styled italic.\n\nUnderlined is covered by the NoUnderline Rule","ref":"NLdoc.Validation.Rules.StyleItalicInHeading.html"},{"type":"module","title":"NLdoc.Validation.Rules.TableNeedsMultipleRows","doc":"This rule validates that tables have more than one row.","ref":"NLdoc.Validation.Rules.TableNeedsMultipleRows.html"},{"type":"module","title":"NLdoc.Validation.Severity","doc":"Severity levels for validation rules.","ref":"NLdoc.Validation.Severity.html"},{"type":"function","title":"NLdoc.Validation.Severity.error/0","doc":"","ref":"NLdoc.Validation.Severity.html#error/0"},{"type":"function","title":"NLdoc.Validation.Severity.notice/0","doc":"","ref":"NLdoc.Validation.Severity.html#notice/0"},{"type":"type","title":"NLdoc.Validation.Severity.t/0","doc":"","ref":"NLdoc.Validation.Severity.html#t:t/0"},{"type":"function","title":"NLdoc.Validation.Severity.values/0","doc":"","ref":"NLdoc.Validation.Severity.html#values/0"},{"type":"function","title":"NLdoc.Validation.Severity.warning/0","doc":"","ref":"NLdoc.Validation.Severity.html#warning/0"},{"type":"module","title":"NLdoc.Validation.State","doc":"State for validation rules.","ref":"NLdoc.Validation.State.html"},{"type":"function","title":"NLdoc.Validation.State.get/2","doc":"Gets the given field from the state object.\n\nThis function only accepts fields of the state, which are :findings, :heading_level, :definition_term_id_without_details, :encountered_heading_1?, :parent_is_heading?.\nIt will raise if the field is not valid.","ref":"NLdoc.Validation.State.html#get/2"},{"type":"function","title":"NLdoc.Validation.State.keep/3","doc":"Modifies a state object by setting the given field to the value that field had in the old state.\n\nThis function only accepts fields of the state, which are :findings, :heading_level, :definition_term_id_without_details, :encountered_heading_1?, :parent_is_heading?.\nIt will raise if the field is not valid.","ref":"NLdoc.Validation.State.html#keep/3"},{"type":"function","title":"NLdoc.Validation.State.prepend/3","doc":"Prepends a list of values or a single value to the list field in the state object.\n\nThis function only accepts fields of the state, which are :findings.\nIt will raise if the field is not valid.","ref":"NLdoc.Validation.State.html#prepend/3"},{"type":"function","title":"NLdoc.Validation.State.set/3","doc":"Sets the given field on the state object to the given value.\n\nThis function only accepts fields of the state, which are :findings, :heading_level, :definition_term_id_without_details, :encountered_heading_1?, :parent_is_heading?.\nIt will raise if the field is not valid.","ref":"NLdoc.Validation.State.html#set/3"},{"type":"type","title":"NLdoc.Validation.State.t/0","doc":"","ref":"NLdoc.Validation.State.html#t:t/0"},{"type":"extras","title":"NLdoc.Validation","doc":"# NLdoc.Validation","ref":"readme.html"},{"type":"extras","title":"Installation - NLdoc.Validation","doc":"The package can be installed by adding `nldoc_validation` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:nldoc_validation, \"~> 1.0.0\"}\n  ]\nend\n```\n\nDocumentation can be found at  .","ref":"readme.html#installation"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\n## [4.0.20](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.19...4.0.20) (2025-06-23)","ref":"changelog.html"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec_validation to v1.0.17 ([49b48a9](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/49b48a9f2b79840b71e673d9b7473785c3dac0aa))\n\n## [4.0.19](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.18...4.0.19) (2025-06-11)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec_validation to v1.0.15 ([b032ae7](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/b032ae71602ce42f7337c00d725b33b41ffe6240))\n\n## [4.0.18](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.17...4.0.18) (2025-06-11)","ref":"changelog.html#bug-fixes-1"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v3.1.1 ([3bfe77b](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/3bfe77b28bcce0679d421a5d700b48ae6debe4d9))\n* **deps:** update dependency nldoc_spec_validation to v1.0.14 ([ada0713](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/ada0713d85050209b4964469daa4120da3035fe9))\n\n## [4.0.17](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.16...4.0.17) (2025-06-11)","ref":"changelog.html#bug-fixes-2"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec_validation to v1.0.13 ([831405b](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/831405beee4c58d488925024733026dc27d09e18))\n\n## [4.0.16](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.15...4.0.16) (2025-06-03)","ref":"changelog.html#bug-fixes-3"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v3.1.0 ([00b0db3](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/00b0db3e6006f37d09e1f575043302d479fbbaf1))\n\n## [4.0.15](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.14...4.0.15) (2025-05-12)","ref":"changelog.html#bug-fixes-4"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec_validation to v1.0.12 ([b82b56d](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/b82b56d2f91b057385554f984d0b1a957aeab65a))\n\n## [4.0.14](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.13...4.0.14) (2025-05-12)","ref":"changelog.html#bug-fixes-5"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v3.0.10 ([96e2240](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/96e2240fb0fb4b99218e898dd8f03ff1b27b6568))\n\n## [4.0.13](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.12...4.0.13) (2025-05-12)","ref":"changelog.html#bug-fixes-6"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v3.0.9 ([a2100d1](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/a2100d126efb8455151369a2bb5cb0f30762a1a4))\n\n## [4.0.12](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.11...4.0.12) (2025-05-12)","ref":"changelog.html#bug-fixes-7"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v3.0.8 ([ca2665f](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/ca2665fa3ccdf0fe7d0144ead50bcb0b8f330cf8))\n\n## [4.0.11](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.10...4.0.11) (2025-05-12)","ref":"changelog.html#bug-fixes-8"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency ex_doc to v0.38.1 ([dac5375](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/dac5375fba7baae94e1fcfd757c7c37c5ef2f3b1))\n* **deps:** update dependency nldoc_spec_validation to v1.0.8 ([0f9825d](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/0f9825dada36dda9ac694416d4f62c60a55093cf))\n\n## [4.0.10](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.9...4.0.10) (2025-05-12)","ref":"changelog.html#bug-fixes-9"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v3.0.7 ([4bb1126](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/4bb112697d6a8e416b66db62c528b5ccb857cd6e))\n\n## [4.0.9](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.8...4.0.9) (2025-05-12)","ref":"changelog.html#bug-fixes-10"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v3.0.6 ([48505b8](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/48505b8c3a3f1bdbb126e3cf155a4c99dc39900d))\n* **deps:** update dependency nldoc_test to v3.0.8 ([7b4771b](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/7b4771ba90c3b3fc873c4b8f91707314acd1c52d))\n\n## [4.0.8](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.7...4.0.8) (2025-05-12)","ref":"changelog.html#bug-fixes-11"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v3.0.5 ([ee071e3](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/ee071e3cdca45eea4b4e6745c060d530a871b654))\n\n## [4.0.7](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.6...4.0.7) (2025-05-12)","ref":"changelog.html#bug-fixes-12"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency ex_doc to ~> 0.38 ([ea0d9a4](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/ea0d9a49b14c18bc6e496f5fb98ab75a2e86a524))\n\n## [4.0.6](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.5...4.0.6) (2025-04-17)","ref":"changelog.html#bug-fixes-13"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec_validation to v1.0.5 ([8651445](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/865144576a19f369465fccdbaae05917123fd812))\n\n## [4.0.5](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.4...4.0.5) (2025-04-17)","ref":"changelog.html#bug-fixes-14"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v3.0.4 ([075d9b0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/075d9b082800a14b15ae60e08f19384e921a5d65))\n\n## [4.0.4](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.3...4.0.4) (2025-04-17)","ref":"changelog.html#bug-fixes-15"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v3.0.3 ([448d6d2](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/448d6d2ea36f5c788e9c5a8d3c1472862f94db92))\n* **deps:** update dependency nldoc_test to v3.0.7 ([431affc](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/431affc08d17a56ee4cf48640101e947bc4b1c52))\n\n## [4.0.3](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.2...4.0.3) (2025-04-17)","ref":"changelog.html#bug-fixes-16"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v3.0.2 ([a573be6](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/a573be67716113100af5e724cce5760f5acad848))\n\n## [4.0.2](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.1...4.0.2) (2025-04-17)","ref":"changelog.html#bug-fixes-17"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency credo to v1.7.12 ([560a4cd](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/560a4cd755311f7da50cfaf1ff8efa4bfc009bfc))\n\n## [4.0.1](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/4.0.0...4.0.1) (2025-04-14)","ref":"changelog.html#bug-fixes-18"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec_validation to v1.0.1 ([52254eb](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/52254ebe64fb06d99d0d645545d9d61986cf7b55))\n\n# [4.0.0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/3.0.0...4.0.0) (2025-04-14)\n\n\n* feat!(deps): update dependencies nldoc_spec and nldoc_spec_validation ([f69bf4e](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/f69bf4e8adffa44f5a86af1b819b066411d5a750))","ref":"changelog.html#bug-fixes-19"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update nldoc_ecto to 1.0.3 nldoc_spec to 3.0.1 ([a625ce6](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/a625ce6bf7a91ca76c572bf324f0c4abd6a0e804))","ref":"changelog.html#bug-fixes-20"},{"type":"extras","title":"BREAKING CHANGES - Changelog","doc":"* breaks due to dependencies\n\n# [3.0.0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.17...3.0.0) (2025-04-07)","ref":"changelog.html#breaking-changes"},{"type":"extras","title":"Features - Changelog","doc":"* **deps:** update nldoc_spec to v2 ([2633975](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/2633975c30de8a9b4309db755fc5f6df863f1e84))","ref":"changelog.html#features"},{"type":"extras","title":"BREAKING CHANGES - Changelog","doc":"* **deps:** update spec/output\n\n## [2.3.17](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.16...2.3.17) (2025-04-07)","ref":"changelog.html#breaking-changes-1"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_test to v3.0.6 ([73c3301](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/73c3301e95a367562a2ebc1ba08e408f59a49985))\n\n## [2.3.16](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.15...2.3.16) (2025-04-07)","ref":"changelog.html#bug-fixes-21"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.12 ([beadde8](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/beadde83658d54481f0bcf43bfb0dc5befc8ecd1))\n\n## [2.3.15](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.14...2.3.15) (2025-04-07)","ref":"changelog.html#bug-fixes-22"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.11 ([578a5ad](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/578a5adb8f769637b27fc0c38e0f7f8f76a0e199))\n\n## [2.3.14](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.13...2.3.14) (2025-04-06)","ref":"changelog.html#bug-fixes-23"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.10 ([9059f7f](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/9059f7f25ebbd9a8468496e88e3989e7712f2318))\n\n## [2.3.13](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.12...2.3.13) (2025-04-03)","ref":"changelog.html#bug-fixes-24"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* update references (GitLab migration) ([03b6691](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/03b6691b56eda2a80cd80e0eed5f4d4a9382aefd))\n\n## [2.3.12](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.11...2.3.12) (2025-04-03)","ref":"changelog.html#bug-fixes-25"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_test to v3.0.5 ([85996d4](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/85996d43228db6896034fd9f528c168dcab017fb))\n\n## [2.3.11](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.10...2.3.11) (2025-04-02)","ref":"changelog.html#bug-fixes-26"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.9 ([d96b707](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/d96b707603dd92d695780949222de713e0b85214))\n\n## [2.3.10](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.9...2.3.10) (2025-04-02)","ref":"changelog.html#bug-fixes-27"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.8 ([36f0c38](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/36f0c38cdd995473c24c02a24fe6670ca329d8fc))\n\n## [2.3.9](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.8...2.3.9) (2025-04-02)","ref":"changelog.html#bug-fixes-28"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency mimic to v1.11.2 ([cc98d43](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/cc98d43d6345bfc1be7b7c14e588ba06e5941167))\n\n## [2.3.8](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.7...2.3.8) (2025-03-31)","ref":"changelog.html#bug-fixes-29"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.7 ([3b8880f](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/3b8880f442633dfed08e90787a5fcc184602b2e4))\n* **deps:** update dependency nldoc_test to v3.0.4 ([49e78b6](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/49e78b63a690124b5da15fcd394f8c8c73a9fd7a))\n\n## [2.3.7](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.6...2.3.7) (2025-03-30)","ref":"changelog.html#bug-fixes-30"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency mimic to v1.11.1 ([fea0228](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/fea0228788b779ff9d5269451e8049e0fea60e89))\n* **deps:** update dependency nldoc_spec to v1.3.5 ([f7251dc](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/f7251dc915f3b9087fd08f3477e9583e9780de39))\n\n## [2.3.6](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.5...2.3.6) (2025-03-10)","ref":"changelog.html#bug-fixes-31"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_test to v3.0.3 ([7a0b6a8](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/7a0b6a82ca0695bcd71fcda12fd8cbf3192fb961))\n\n## [2.3.5](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.4...2.3.5) (2025-03-10)","ref":"changelog.html#bug-fixes-32"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.4 ([ad2bf81](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/ad2bf81240a8a78a85598c0fccec8ddf59b41e13))\n\n## [2.3.4](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.3...2.3.4) (2025-03-09)","ref":"changelog.html#bug-fixes-33"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.3 ([ccb3631](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/ccb36310af145f09fde5908876041d708f3552be))\n\n## [2.3.3](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.2...2.3.3) (2025-03-08)","ref":"changelog.html#bug-fixes-34"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.2 ([1fe3646](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/1fe3646ac8c857060f4c8a3063554f9e9b8d62e8))\n\n## [2.3.2](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.1...2.3.2) (2025-03-07)","ref":"changelog.html#bug-fixes-35"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency ex_doc to v0.37.3 ([954fc38](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/954fc38d36d7cc100442631a3fb852070c880a71))\n\n## [2.3.1](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.3.0...2.3.1) (2025-02-27)","ref":"changelog.html#bug-fixes-36"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.3.1 ([62a4e62](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/62a4e6297678172c9c8a6f021c2be1d524948bfd))\n\n# [2.3.0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.2.0...2.3.0) (2025-02-25)","ref":"changelog.html#bug-fixes-37"},{"type":"extras","title":"Features - Changelog","doc":"* **NLD-596:** Split style-in-heading to style-bold-in-heading and style-italic-in-heading ([4f71fad](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/4f71fad928e2e1a7d6dedff33a9768337014dc18))\n\n# [2.2.0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.1.0...2.2.0) (2025-02-25)","ref":"changelog.html#features-1"},{"type":"extras","title":"Features - Changelog","doc":"* **NLD-596:** validation for style in heading ([8483831](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/8483831b2e1ae44019212b39dcce18ce076517dd))\n\n# [2.1.0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.0.6...2.1.0) (2025-02-25)","ref":"changelog.html#features-2"},{"type":"extras","title":"Features - Changelog","doc":"* **NLD-598:** validation for p-as-heading ([53c694e](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/53c694eb7b3198298050a0a77058ef341ca5f259))\n\n## [2.0.6](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.0.5...2.0.6) (2025-02-23)","ref":"changelog.html#features-3"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.2.5 ([24e82cd](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/24e82cdd285ece1f075c5b005e84a5f5658701b4))\n\n## [2.0.5](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.0.4...2.0.5) (2025-02-22)","ref":"changelog.html#bug-fixes-38"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.2.4 ([29f9c1c](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/29f9c1c51815a1ec08d45bc7dafdddb074f4e19d))\n* **deps:** update dependency nldoc_test to v3.0.2 ([fa83cd9](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/fa83cd98c9c5c97247c80d90a5e5bc90aa2e9fee))\n\n## [2.0.4](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.0.3...2.0.4) (2025-02-20)","ref":"changelog.html#bug-fixes-39"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency ex_doc to v0.37.2 ([d49d3c6](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/d49d3c65cf69ce9910d450ddf1247ae17d6a5834))\n\n## [2.0.3](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.0.2...2.0.3) (2025-02-14)","ref":"changelog.html#bug-fixes-40"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.2.3 ([107603a](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/107603a9139db42636d8bcf7fdf37e11abbdfaf6))\n\n## [2.0.2](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.0.1...2.0.2) (2025-02-13)","ref":"changelog.html#bug-fixes-41"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency ex_doc to ~> 0.37 ([afa8b7e](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/afa8b7e55b81766e618bd7d4e1aee268bb6e0f48))\n* **deps:** update dependency nldoc_test to v3.0.1 ([7f79464](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/7f7946437dca139f46bfe1a9a61af7b564725e9a))\n\n## [2.0.1](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/2.0.0...2.0.1) (2025-02-12)","ref":"changelog.html#bug-fixes-42"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.2.1 ([fa176eb](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/fa176ebca8d9f551640a2e6f1573ac70347bc161))\n\n# [2.0.0](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/1.0.2...2.0.0) (2025-02-06)\n\n\n* feat!: remove NLdoc.Validation.Content ([9d35dbe](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/9d35dbe13bbe83ee7ea63501a846cefc3bde1b9e))","ref":"changelog.html#bug-fixes-43"},{"type":"extras","title":"BREAKING CHANGES - Changelog","doc":"* this remove NLdoc.Validation.Content, please use NLdoc.Spec.Content instead.\n\n## [1.0.2](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/1.0.1...1.0.2) (2025-01-28)","ref":"changelog.html#breaking-changes-2"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency nldoc_spec to v1.1.2 ([bc4fe0d](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/bc4fe0da96e5e3ae7f1d2c5764ea50d4164d9d51))\n\n## [1.0.1](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/compare/1.0.0...1.0.1) (2025-01-28)","ref":"changelog.html#bug-fixes-44"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **deps:** update dependency excoveralls to v0.18.5 ([1ab4873](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/1ab48731fd70fb34be6d4d10a1fb1e114551c06e))\n* **deps:** update dependency nldoc_spec to v1.1.1 ([eb367b2](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/eb367b2414dd86d76b48e452fa29774624229c3f))\n\n# 1.0.0 (2025-01-23)","ref":"changelog.html#bug-fixes-45"},{"type":"extras","title":"Features - Changelog","doc":"* **NLD-586:** NLdoc.Validation initial commit ([8b34338](https://gitlab.com/logius/nldoc/lib/elixir/nldoc_validation/commit/8b34338c9e8aa5ca0084849e9984ad033e244656))\n\n# 1.0.0 (2025-01-23)","ref":"changelog.html#features-4"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* **NLD-586:** package name ([5154b11](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_logging/commit/5154b1140e4f2b2fd3d204025efed0459bae7aed))","ref":"changelog.html#bug-fixes-46"},{"type":"extras","title":"Features - Changelog","doc":"* **NLD-586:** package logger ([708895d](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_logging/commit/708895da7ca240dbde4b88420a0e40d14f55394e))","ref":"changelog.html#features-5"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}